// Copyright Amazon.com Inc. or its affiliates. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License"). You may
// not use this file except in compliance with the License. A copy of the
// License is located at
//
//     http://aws.amazon.com/apache2.0/
//
// or in the "license" file accompanying this file. This file is distributed
// on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
// express or implied. See the License for the specific language governing
// permissions and limitations under the License.
//

// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/aws/amazon-ecs-agent/agent/fsx (interfaces: FSxClient)

// Package mock_fsx is a generated GoMock package.
package mock_fsx

import (
	reflect "reflect"

	fsx "github.com/aws/aws-sdk-go/service/fsx"
	gomock "github.com/golang/mock/gomock"
)

// MockFSxClient is a mock of FSxClient interface
type MockFSxClient struct {
	ctrl     *gomock.Controller
	recorder *MockFSxClientMockRecorder
}

// MockFSxClientMockRecorder is the mock recorder for MockFSxClient
type MockFSxClientMockRecorder struct {
	mock *MockFSxClient
}

// NewMockFSxClient creates a new mock instance
func NewMockFSxClient(ctrl *gomock.Controller) *MockFSxClient {
	mock := &MockFSxClient{ctrl: ctrl}
	mock.recorder = &MockFSxClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockFSxClient) EXPECT() *MockFSxClientMockRecorder {
	return m.recorder
}

// DescribeFileSystems mocks base method
func (m *MockFSxClient) DescribeFileSystems(arg0 *fsx.DescribeFileSystemsInput) (*fsx.DescribeFileSystemsOutput, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DescribeFileSystems", arg0)
	ret0, _ := ret[0].(*fsx.DescribeFileSystemsOutput)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// DescribeFileSystems indicates an expected call of DescribeFileSystems
func (mr *MockFSxClientMockRecorder) DescribeFileSystems(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DescribeFileSystems", reflect.TypeOf((*MockFSxClient)(nil).DescribeFileSystems), arg0)
}
